VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT:
[legend]

## Public Member Functions

| PipelineSampleLocationsStateCreateInfoEXT (Bool32 sampleLocationsEnable_=0, SampleLocationsInfoEXT sampleLocationsInfo_=SampleLocationsInfoEXT())
| PipelineSampleLocationsStateCreateInfoEXT (VkPipelineSampleLocationsStateCreateInfoEXT const &rhs)
PipelineSampleLocationsStateCreateInfoEXT & | operator= (VkPipelineSampleLocationsStateCreateInfoEXT const &rhs)
PipelineSampleLocationsStateCreateInfoEXT & | setPNext (const void *pNext_)
PipelineSampleLocationsStateCreateInfoEXT & | setSampleLocationsEnable (Bool32 sampleLocationsEnable_)
PipelineSampleLocationsStateCreateInfoEXT & | setSampleLocationsInfo (SampleLocationsInfoEXT sampleLocationsInfo_)
| operator VkPipelineSampleLocationsStateCreateInfoEXT const & () const
| operator VkPipelineSampleLocationsStateCreateInfoEXT & ()
bool | operator== (PipelineSampleLocationsStateCreateInfoEXT const &rhs) const
bool | operator!= (PipelineSampleLocationsStateCreateInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
Bool32 | sampleLocationsEnable
SampleLocationsInfoEXT | sampleLocationsInfo

## Private Attributes

StructureType | sType = StructureType::ePipelineSampleLocationsStateCreateInfoEXT

## Detailed Description

Definition at line 28277 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineSampleLocationsStateCreateInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::PipelineSampleLocationsStateCreateInfoEXT | ( | Bool32 | sampleLocationsEnable_ = `0`,
|  | SampleLocationsInfoEXT | sampleLocationsInfo_ = `SampleLocationsInfoEXT()`
| ) |  |

inline

Definition at line 28279 of file vulkan.hpp.

: sampleLocationsEnable( sampleLocationsEnable_ )
, sampleLocationsInfo( sampleLocationsInfo_ )
{
}

## PipelineSampleLocationsStateCreateInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::PipelineSampleLocationsStateCreateInfoEXT | ( | VkPipelineSampleLocationsStateCreateInfoEXT const & | rhs | ) |

inline

Definition at line 28286 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineSampleLocationsStateCreateInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineSampleLocationsStateCreateInfoEXT &()

VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::operator VkPipelineSampleLocationsStateCreateInfoEXT & | ( |  | ) |

inline

Definition at line 28319 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineSampleLocationsStateCreateInfoEXT*>(this);
}

## operator VkPipelineSampleLocationsStateCreateInfoEXT const &()

VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::operator VkPipelineSampleLocationsStateCreateInfoEXT const & | ( |  | ) | const

inline

Definition at line 28314 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineSampleLocationsStateCreateInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::operator!= | ( | PipelineSampleLocationsStateCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 28332 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineSampleLocationsStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::operator= | ( | VkPipelineSampleLocationsStateCreateInfoEXT const & | rhs | ) |

inline

Definition at line 28291 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineSampleLocationsStateCreateInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::operator== | ( | PipelineSampleLocationsStateCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 28324 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( sampleLocationsEnable == rhs.sampleLocationsEnable )
&& ( sampleLocationsInfo == rhs.sampleLocationsInfo );
}

References pNext, sampleLocationsEnable, sampleLocationsInfo, and sType.

Referenced by operator!=().

## setPNext()

PipelineSampleLocationsStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 28296 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSampleLocationsEnable()

PipelineSampleLocationsStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::setSampleLocationsEnable | ( | Bool32 | sampleLocationsEnable_ | ) |

inline

Definition at line 28302 of file vulkan.hpp.

{
sampleLocationsEnable = sampleLocationsEnable_;
return *this;
}

References sampleLocationsEnable.

## setSampleLocationsInfo()

PipelineSampleLocationsStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::setSampleLocationsInfo | ( | SampleLocationsInfoEXT | sampleLocationsInfo_ | ) |

inline

Definition at line 28308 of file vulkan.hpp.

{
sampleLocationsInfo = sampleLocationsInfo_;
return *this;
}

References sampleLocationsInfo.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::pNext = nullptr

Definition at line 28341 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sampleLocationsEnable

Bool32 VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::sampleLocationsEnable

Definition at line 28342 of file vulkan.hpp.

Referenced by operator==(), and setSampleLocationsEnable().

## sampleLocationsInfo

SampleLocationsInfoEXT VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::sampleLocationsInfo

Definition at line 28343 of file vulkan.hpp.

Referenced by operator==(), and setSampleLocationsInfo().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::sType = StructureType::ePipelineSampleLocationsStateCreateInfoEXT

private

Definition at line 28338 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:28338
VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:28341
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::PipelineSampleLocationsStateCreateInfoEXT
PipelineSampleLocationsStateCreateInfoEXT(Bool32 sampleLocationsEnable_=0, SampleLocationsInfoEXT sampleLocationsInfo_=SampleLocationsInfoEXT())
Definition: vulkan.hpp:28279
VkPipelineSampleLocationsStateCreateInfoEXT
Definition: vulkan_core.h:7657
VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::operator==
bool operator==(PipelineSampleLocationsStateCreateInfoEXT const &rhs) const
Definition: vulkan.hpp:28324
VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::sampleLocationsInfo
SampleLocationsInfoEXT sampleLocationsInfo
Definition: vulkan.hpp:28343
VULKAN_HPP_NAMESPACE::PipelineSampleLocationsStateCreateInfoEXT::sampleLocationsEnable
Bool32 sampleLocationsEnable
Definition: vulkan.hpp:28342